### File

`packages/components/eui-icon-button-expander/eui-icon-button-expander.component.ts`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-icon-button-expander`
imports | `EUI_ICON`
styleUrls | `./eui-icon-button-expander.component.scss`
templateUrl | `./eui-icon-button-expander.component.html`

### Index

###### Methods
onClick
###### Inputs
ariaLabel euiDisabled fillColor isDirectionForward isExpanded size
###### Outputs
buttonClick
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

ariaLabel
Type : `string`

euiDisabled
Type : `boolean`
Default value : `false`

fillColor
Type : `string`

isDirectionForward
Type : `boolean`
Default value : `false`

isExpanded
Type : `boolean`
Default value : `false`

size
Type : `"2xs" | "xs" | "s" | "m" | "l" | "xl" | "2xl" | "3xl" | "4xl"`
Default value : `'m'`

### Outputs

buttonClick
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

onClick
`onClick(event: Event)`
Parameters :
Name | Type | Optional
event | `Event` | No
Returns : `void`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""